#include <algorithm>
#include <cfloat>
#include <vector>

#include "caffe/layer.hpp"
#include "caffe/util/math_functions.hpp"
#include "caffe/vision_layers.hpp"

namespace caffe {


template <typename Dtype>
void EuclideanCombLayer<Dtype>::Forward_gpu(const vector<Blob<Dtype>*>& bottom,
      vector<Blob<Dtype>*>* top) {
  return;
  CUDA_POST_KERNEL_CHECK;
}





template <typename Dtype>
void EuclideanCombLayer<Dtype>::Backward_gpu(const vector<Blob<Dtype>*>& top,
      const vector<bool>& propagate_down, vector<Blob<Dtype>*>* bottom) {
  return;
  CUDA_POST_KERNEL_CHECK;
}


INSTANTIATE_CLASS(EuclideanCombLayer);


}  // namespace caffe
